org.apache.hadoop.mapreduce.v2.hs

## Class HSProxies

- java.lang.Object
- - org.apache.hadoop.mapreduce.v2.hs.HSProxies

-     @InterfaceAudience.Private
      public class HSProxies
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HSProxies()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> T` | `createProxy(org.apache.hadoop.conf.Configuration conf, InetSocketAddress hsaddr, Class<T> xface, org.apache.hadoop.security.UserGroupInformation ugi)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HSProxies

          public HSProxies()

  - ### Method Detail

    - #### createProxy

          public static <T> T createProxy(org.apache.hadoop.conf.Configuration conf,
                                          InetSocketAddress hsaddr,
                                          Class<T> xface,
                                          org.apache.hadoop.security.UserGroupInformation ugi)
                                   throws IOException

      Throws:
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.